Subject: Re: Reason for cygwin GCC 2.97 non-bootstrap found
From: Phil Edwards <[email-masked]>
To: Zack Weinberg <[email-masked]>
Cc: Kelley Cook <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Cygwin mailing list <[email-masked]>
Date: Tue, 21 Nov 2000 19:50:05 -0500

On Tue, Nov 21, 2000 at 04:25:22PM -0800, Zack Weinberg wrote:
> 
> Could you [since Kelley is out of town till Sunday, this "you" is
> anyone with a convenient cygwin installation] please compile and run
> the appended test program under cygwin?  It should either exit
> successfully, or crash; I need to know which.

With a somewhat-outdated cygwin installation, it exits successfully.
The output from 'uname -a' is

  CYGWIN_NT-4.0 HOSTNAME 1.1.2(0.21/3/2) 2000-06-06 22:20 i686 unknown

if that helps tell you how old it is.

> > BTW, is there a direct way of applying a CVS -diff to files using
> > patch?  I ended up breaking your patch into 11 different .diff files
> > and apply them each individually.

This has popped up on the lists a few times, with answers.  CVS needs to
be fixed up a bit, in the meantime, each of mailing list answers usually
contains a script.  :-)  I usually grab the good-looking ones and accumulate
them, and leave one version uncommented.  There's two below.

Phil

-- 
pedwards at disaster dot jaj dot com  |  pme at sources dot redhat dot com
devphil at several other less interesting addresses in various dot domains
The gods do not protect fools.  Fools are protected by more capable fools.

#! /usr/bin/perl -wi

# There are two programs here to do the same thing.  The first is by
# Richard Henderson and doesn't throw away quite as much output.  The
# second is by Zack Weinberg and looks simpler.   pme

while (<>)
{
  if (/^Index: (.*)/)
    {
      $full = $1;
      ($small) = ($full =~ m=.*/([^\t]*)=);
      print;
      $small || next;
      for (1..4) { $_ = <>; print; }
      for (1..2)
        {
          $_ = <>;
          s/$small/$full/;
          print;
        }
    }
  else
    {
      print;
    }
}

#! /usr/bin/perl

# Clean up patch headers which CVS generates incorrectly.  It prints
#
# Index: fixinc/fixfixes.c
# ===================================================================
# RCS file: /cvs/gcc/egcs/gcc/fixinc/fixfixes.c,v
# retrieving revision 1.5
# diff -u -p -r1.5 fixfixes.c
# --- fixfixes.c  1999/12/17 21:49:30     1.5
# +++ fixfixes.c  2000/01/05 23:41:25
#
# and we want
#
# ===================================================================
# Index: fixinc/fixfixes.c
# --- fixinc/fixfixes.c  1999/12/17 21:49:30     1.5
# +++ fixinc/fixfixes.c  2000/01/05 23:41:25
#
# Also throw away lines like "? fixinc/delt" at the top.
#
#while(<>)
#{
#                   next if /^(?:RC|re|di|\? )/;
#   $ind = $1,          next if /^Index: (.+)$/;
#   print, print("Index: $ind\n"),  next if /^=====/;
#
#   s/^(---|\+\+\+)\s\S+\s+/$1 $ind\t/;
#   print;
#}
#

--
Want to unsubscribe from this list?
Send a message to [email-masked]